@echo off

rem ---------------------------------------------------------------------------
rem * works ok with http output (requires 'webcam /h' running)
rem + ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/
rem ---------------------------------------------------------------------------
rem ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/

rem ---------------------------------------------------------------------------
rem * works ok with npipe output (requires 'webcam /n' running)
rem + ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video
rem ---------------------------------------------------------------------------
rem ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video


rem ---------------------------------------------------------------------------
rem * works ok with http output (invokes 'webcam /h' first)
rem + webcam /h | ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/
rem ---------------------------------------------------------------------------
rem webcam /h | ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/

rem ---------------------------------------------------------------------------
rem * works ok with named pipe output (invokes 'webcam /n' first)
rem + webcam /n | ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video
rem ---------------------------------------------------------------------------
rem webcam /n | ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video

rem ---------------------------------------------------------------------------
rem * works ok with stdout output (invokes 'webcam /s' first)
rem + webcam /s | ffplay -f mjpeg -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem webcam /s | ffplay -f mjpeg -framerate 50 -i -


rem ---------------------------------------------------------------------------
rem * works ok with dell e6500 webcam and logitech c250 webcam
rem ---------------------------------------------------------------------------
rem + webcam /h/n/s/u/c/y600 | ffplay -f mjpeg -framerate 50 -i -
rem webcam /h/n/s/u/c/y600 | ffplay -f mjpeg -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem + webcam /h/n/s/u/c/y768 | ffplay -f mjpeg -framerate 50 -i -
rem webcam /h/n/s/u/c/y768 | ffplay -f mjpeg -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem + webcam /h/n/s/u/c/x1280 | ffplay -f mjpeg -x 1280 -y 720 -framerate 50 -i -
rem webcam /h/n/s/u/c/x1280 | ffplay -f mjpeg -x 1280 -y 720 -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem + webcam /h/n/s/u/c/x1600 | ffplay -f mjpeg -x 1280 -y 720 -framerate 50 -i -
rem webcam /h/n/s/u/c/x1600 | ffplay -f mjpeg -x 1280 -y 720 -framerate 50 -i -
rem ---------------------------------------------------------------------------


rem ---------------------------------------------------------------------------
rem * works ok with logitech c250 webcam
rem ---------------------------------------------------------------------------
rem + mjpg/color/xsize/ysize/http/pipe/stdout
rem + webcam /m/x640/y360/h/n/s | ffplay -f mjpeg -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem webcam /m/x640/y360/h/n/s | ffplay -f mjpeg -framerate 50 -i -

rem ---------------------------------------------------------------------------
rem * works ok with dell e6500 webcam and logitech c250 webcam
rem ---------------------------------------------------------------------------
rem + yuyv/color/xsize/ysize/http/pipe/stdout
rem + webcam /u/c/x160/y120/h/n/s | ffplay -f mjpeg -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem webcam /u/c/x160/y120/h/n/s | ffplay -f mjpeg -framerate 50 -i -

rem ---------------------------------------------------------------------------
rem * works ok with logitech c250 webcam audio (16-bit,mono,48000Hz.)
rem ---------------------------------------------------------------------------
rem + webcam /a/x640/y360/h/n/s | ffplay -f mjpeg -framerate 50 -i -
rem ---------------------------------------------------------------------------
webcam /a/u/x640/y360/h/n/s | ffplay -f mjpeg -framerate 50 -i -

